package com.ylcm.sys.vo;

import org.springframework.beans.BeanUtils;

import com.ylcm.sys.domain.AdMedia;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AdMediaVO {

    private Integer id;

    @ApiModelProperty(value = "媒体名称")
    private String name;

    @ApiModelProperty(value = "媒体等级")
    private String rankName;

    @ApiModelProperty(value = "媒体logo")
    private String imgUrl;

    public static AdMediaVO from(AdMedia adMedia) {
    	AdMediaVO adMediaVO = new AdMediaVO();
    	
    	BeanUtils.copyProperties(adMedia, adMediaVO);
    	
    	if (adMedia.getRank() != null) {
			if (adMedia.getRank() == 0) {
				adMediaVO.setRankName("央视频道");
			} else if (adMedia.getRank() == 1) {
				adMediaVO.setRankName("一线卫视");
			} else if (adMedia.getRank() == 2) {
				adMediaVO.setRankName("二线卫视");
			} else if (adMedia.getRank() == 3) {
				adMediaVO.setRankName("三线卫视");
			} else if (adMedia.getRank() == 4) {
				adMediaVO.setRankName("四线卫视");
			} else if (adMedia.getRank() == 5) {
				adMediaVO.setRankName("五线卫视");
			} else if (adMedia.getRank() == 6) {
				adMediaVO.setRankName("六线卫视");
			} else if (adMedia.getRank() == 7) {
				adMediaVO.setRankName("七线卫视");
			}
		}
    	
    	return adMediaVO;
    }
}
